v.2.4.33 - 19-August-2026
- Improvement: Spectra Blocks plugin is now installed from the WordPress.org repository, removing the temporary hardcoded download URL.
- Fix: Restricted the ZipWP authentication return handler to users who can manage the site, so lower-privileged roles can no longer overwrite the site-wide ZipWP credentials.
- Fix: Design Library button in the editor toolbar no longer sits shorter than the adjacent wp-admin and page builder buttons.

v.2.4.32 - 16-July-2026
- Fix: Version toggle no longer appears when UAGB is inactive, even if stale database options from a previous install are present.

v.2.4.31 - 8-July-2026
- New: Added a consent popup that installs and activates the required Spectra and form plugins before a pattern is inserted, with a tooltip on the Insert button listing the required plugin.
- Improvement: Show Spectra Blocks (v3) patterns by default in all cases, and only show the version toggle when Spectra Legacy is active, with Spectra Blocks selected by default.
- Improvement: Pattern import no longer shows the upfront ZipWP connection prompt.
- Improvement: Added standalone Spectra Blocks plugin compatibility for asset URL rewriting in imported block and pattern content.
- Fix: Prevented a crash on the AI Personalization language step when the site-languages API returned a non-array response.
- Fix: Avoided an unnecessary page reload after block import on sites running the standalone Spectra Blocks plugin.
- Fix: Auto-open Design Library no longer closes third-party plugin modals.
- Fix: Prevented PHP fatal in filesystem helpers when running on FTP-based hosts without WordPress credentials.

v.2.4.30 - 19-June-2026
- New: Added compatibility for the Spectra Blocks plugin.

v.2.4.29 - 19-May-2026
- Fix: Reverted no-op sanitize_post_field( 'raw' ) in block/template-kit importers; block content is sanitized by wp_insert_post() before DB write.

v.2.4.28 - 19-May-2026
- Fix: Improved sanitization of imported block content in the block and template-kit importers. Use raw context in sanitize_post_field to preserve Gutenberg block comment delimiters.
- Fix: Converted REST API callbacks to return WP_REST_Response/WP_Error instead of wp_send_json_success/error. Required for WordPress.org compliance.
- Fix: Updated JS response handling to match REST-compliant response format (removed success wrapper checks).
- Fix: Replaced filter_var() with wp_validate_boolean() for WPCS compliance.
- Fix: Removed stale ipinfo.io and ipify entries from External Services readme; added missing Privacy Policy and Terms of Use links for websitedemos.net.

v.2.4.27 - 27-April-2026
- Fix: Self-host the Inter and Figtree fonts used by the Design Library / template importer UI instead of fetching from fonts.googleapis.com. Required for WordPress.org compliance.

v.2.4.26 - 23-April-2026
- Fix: Removed server-IP geolocation lookups (ipify + ipwho.is) used to pick the Design Library / AI wizard image sources by region. Required for WordPress.org compliance — the template library now surfaces Pexels and Unsplash to all users regardless of server location.

v.2.4.25 - 31-March-2026
Fix: Resolved click behavior issue on AI dropdown toggle options.

v.2.4.24 - 25-March-2026
- Security: Removed host plugin activation — Spectra/UAG is always active. Dependency plugins (forms) still activate on user-initiated import.
- Security: Added force_balance_tags() sanitization for block content imports.
- Security: Replaced file_get_contents() with WP_Filesystem API for core stylesheet reading.
- Fix: Added wp_normalize_path() to core CSS file path.
- Fix: Removed "Activate Spectra & Insert" CTA — replaced with direct "Insert" button.

v.2.4.23 - 24-March-2026
- Improvement: Updated build process to add ABSPATH guards to generated .asset.php files.
- Improvement: Added README.md documenting external service usage (support.brainstormforce.com, ipinfo.io, and others).
- Fix: Removed deprecated `load_plugin_textdomain()` call — WordPress auto-loads translations since 4.6.
- Fix: Fixed broken `$_POST['block_type']` reference in ai-content.php.
- Security: Added `wp_unslash()` before sanitization on all `$_GET`/`$_POST`/`$_REQUEST` superglobal accesses.
- Security: Updated BSF API URL from http:// to https:// in license.php.
- Fix: Added `function_exists()` guards around core file includes for WordPress.org compliance.

v.2.4.22 - 23-March-2026
Fix: WordPress.org plugin compliance improvements including ABSPATH guards, input sanitization, WP_Filesystem usage, and textdomain fixes.

v.2.4.21 - 02-March-2026
Improvement: Added `ast_block_templates_after_block_import` action hook fired after a block is imported.
Improvement: Added `ast_block_templates_after_kit_import` action hook fired after a template kit is imported.
Improvement: Added `ast_block_templates_remote_ajax_path` filter to allow customizing the remote API ajax endpoint path.
Fix: Resolved issue with color palette when adaptive mode is turned off.

v.2.4.20 - 03-February-2026
New: Show Design Library patterns for newly created pages.
Improvement: Improved ZipWP connection setup in the new window to retain Design Library state and improve UX.
Improvement: Enabled Design library pattern import to inner containers and popup builder.

v.2.4.19 - 10-January-2026
Fix: Fixed cache conflicts in lazy-loaded chunks during the base plugin version rollbacks.

v.2.4.18 - 07-January-2026
Improvement: Enhanced Design Library sync to ensure proper compatibility with Spectra v2 legacy options.
Fix: Resolved an issue where some Spectra v3 Premium patterns were not appearing in the Design Library.

v.2.4.17 - 30-December-2025
Improvement: Added Astra Color Palette reorganization compatibility.

v.2.4.16 - 05-December-2025
Improvement: Added automatic library sync when the Spectra plugin is installed, updated, or deleted to ensure proper version switching between v2 and v3.

v.2.4.15 - 03-November-2025
Improvement: Streamlined Spectra version handling by unifying multiple version filters into a single state and refining the toggle UX for the Pages tab.
Improvement: Enhanced premium patterns import flow.
Fix: Corrected hover height issue in Notice blocks.

v.2.4.14 - 03-November-2025
Improvement: Added spectra-blocks-ver parameter to API requests for better version-based content filtering.

v.2.4.13 - 03-November-2025
Improvement: Enhanced the licensing flow to provide a smoother activation experience for premium patterns and starter kits.

v.2.4.12 - 29-October-2025
Misc: Updated Spectra plugin version.

v.2.4.11 - 28-October-2025
New: Added compatibility for Spectra v3.
New: Added SureForms compatibility for block patterns and pages.
Improvement: Use only Unsplash image engine for Russian users, as Pexels is blocked in Russia.

v.2.4.10 - 21-August-2025
New: Added compatibility with Spectra version 3.

v.2.4.9 - 28-March-2025
Improvement: Optimized asset loading logic to prevent unnecessary script and style loading in non-essential backend areas, improving performance.

v.2.4.8 - 29-November-2024
Improvement: Improved business description screen for better user experience.
Improvement: UI enhancements for better usability.
Improvement: Improved code quality for enhanced performance and maintainability.

v.2.4.7 - 31-October-2024
Improvement: Generating business description based on the selected language.
Improvement: Optimized styles for better readability and usability on smaller screens.

v.2.4.6 - 14-October-2024
- New: Added source parameters to URLs redirecting to ZipWP for better tracking.

v.2.4.5 - 08-October-2024
Improvement: Removed outdated options data that were previously left undeleted.
Improvement: Optimized server API call execution for better performance.

v.2.4.4 - 30-September-2024
Improvement: Added loading skeleton when uploading the images on AI onboarding.
Improvement: Added images validation on AI onboarding.
Fix: Fixed PHP warning when generating content.

v.2.4.3 - 26-September-2024
Fix: Content was not getting generated in the selected language.

v.2.4.2 - 11-September-2024
New: Introduced filter `ast_block_templates_exclude_post_types` to exclude asset loading for specified post types.
Fix: Resolved CSS conflicts with the WordPress core list block.

v.2.4.1 - 29-August-2024
Improvement: Enhanced API performance by optimizing execution times and reducing delays.
Fix: Corrected styling issues for patterns/pages preview to ensure consistent display.
Fix: Addressed CSS conflicts with SureCart blocks to prevent styling discrepancies.

v.2.4.0 - 08-August-2024
New: Enhanced AI onboarding UI.

v.2.3.6 - 06-August-2024
Fix: Pattern CSS file was not loading correctly.

v.2.3.5 - 06-August-2024
Improvement: Hidden Update Image option until the user personalizes the library.
Improvement: Blocked block pages preview if import is in process.

v.2.3.4 - 02-August-2024
Improvement: Converted spectra common stylesheet to json file instead of option variable.

v.2.3.3 - 30-July-2024
Fix: Resolved issue where the Favorites functionality was not working in certain cases.
Fix: Addressed problem where related block pages were not displaying in some scenarios.
Fix: Content regeneration for a category was not working.

v.2.3.2 - 26-July-2024
Fix: Resolved visibility issue with the "Design Library" button in WordPress 6.6 with full site editor.

v.2.3.1 - 3-July-2024
Fix: Resolved an issue where adding social media URLs caused an error when proceeding to the next step.

v.2.3.0 - 2-July-2024
New: Added a page preview feature along with other page options.
Improvement: Introduced a new "Favorites" tab, separated from Patterns, Pages, and Kits.
Improvement: Added clickable navigation in the sidebar, allowing users to jump to previous steps.
Improvement: Disbaled live preview while inserting the kit into a page.
Improvement: Improved UI/UX for a better user experience.
Fix: Resolved an issue where the Design Library button was not displayed in the Spectra One theme editor when the Gutenberg Plugin was activated.
Fix: Fixed a console error that occurred on the screen of the image when AI data was prefilled.
Fix: Addressed a blank screen issue when accessing the "Design Library" on Bedrock-powered sites.
Fix: Fixed option 'ast-block-templates_data-' was not getting deleted after importing the site template.

v2.2.5 - 27-June-2024
- Fix: Fixed console error causing blank screen in GT AI onboarding if already prefilled.

v2.2.4 - 17-June-2024
- New: Added error boundaries for better error management.
- Improvement: Improved UI for better consistency.
- Improvement: Enhanced error handling during the import process.
- Improvement: Blocked all other actions while inserting the kit into a page.
- Improvement: Added an admin notice for missing file permissions.
- Improvement: Removed validation for the mobile field in AI onboarding.
- Improvement: Added loader while inserting the block.
- Fix: Prevented adding block to new page after Spectra installation.
- Fix: Shuffling of images if changes the orientation multiple times.
- Fix: AI generated business description response count was not working as expected.
- Fix: Fixed issue with authentication redirection.

v2.2.3 - 06-June-2024
- Fix: Resolved Console error for undefined images.

v2.2.2 - 20-May-2024
- Fix: Fixed design library was displaying empty on subfolder sites.

v2.2.1 - 02-May-2024
- Improvement: Better error message handling.
- Improvement: Blocked everything after clicking on the continue button.
- Fix: Removed the hotlinking of websitedemos link after import.

v2.2.0 - 26-April-2024
- Improvement: Revamped AI onboarding with language compatibility.
- Improvement: User Interface Enhancements & tweaks.
- Fix: JSON file names renamed correctly.

v2.1.28 - 12-April-2024
- Fix: Resolved line-height issue for blocks.

v2.1.27 - 9-April-2024
- Fix: Design library button not showing sometime.

v2.1.26 - 9-April-2024
- Fix: Fixed Media library not working.

v2.1.25 - 8-April-2024
- Fix: Custom permission fix for search category API.
- Fix: Fixed an issue where the Personalisation of the library was failing.

v2.1.24 - 5-April-2024
- Fix: Improved parsing mechanism for social media icons to ensure error-free processing.

v2.1.23 - 5-April-2024
- Fix: Pre-selected images were not displaying.

v2.1.22 - 4-April-2024
- Improvement: Updated image replacement mechanisms to enhance compatibility with the ZipWP.

v2.1.21 - 3 April-2024
- New: Added business type selection option in onboarding.
- Improvement: Using a ZipWP constant instead of a URL to facilitate easy overriding from the WordPress configuration.
- Improvement: Automatically prefill business details for sites created through ZipWP.
- Improvement: Moved JSON folder from plugin directory to WP upload folder to address memory issues.

v2.1.20 - 1-April-2024
- Improvement: Added Compatibility for Rank Match SEO plugin.

v2.1.19 - 29-March-2024
- Improvement: Updated the way to call REST API.

v2.1.18 - 14-March-2024
- Improvement: Added a filter to bypass the auth for non authenticated users to be able to import Templates

v2.1.17 - 11-March-2024
- Fix: Fixed broken patterns and pages caused by missing Spectra Plugin.

v2.1.16 - 07-March-2024
- Fix: Resolved an issue where the AI description won't get generated on WordPress.com sites.

v2.1.15 - 01-March-2024
- Improvement: Rename Template kits to Design Library and updated UI.

v2.1.14 - 20-February-2024
- Fix: Changed the button position and fixed console errors.

v2.1.13 - 12-February-2024
- Fix: Resolved an issue where the Template Kit button was not visible due to console error.

v2.1.12 - 07-February-2024
- Fix: Resolved an issue where the Template Kit button was not visible.

v2.1.11 - 30-January-2024
- Improvement: Moved the Template Kits button to the left of the post header center element.

v2.1.10 - 29-January-2024
- Fix: Resolved premium pages import issue in the kits section.

v2.1.9 - 08-January-2024
- Fix: Reverted capabilities check from manage_options to edit_post.

v2.1.8 - 08-January-2024
- Improvement: Show three dots loading indicator when regenerating content for a specific category.
- Improvement: Prevent unnecessary re-render to improve performance and UX.
- Improvement: Improved access control by transitioning from 'edit_post' to 'manage_options' for enhanced user capabilities. 
- Fix: Google map location/address not getting updated.
- Fix: Not showing loading skeleton while regenerating content.
- Fix: 503 Error by removing kits data from the localize variable.

v2.1.7 - 04-January-2024
- Fix: Extra check added for checking wpforms-lite plugin.

v2.1.6 - 03-January-2024
- Fix: Spelling "organization" changed to "organisation".

v2.1.5 - 03-January-2024
- Fix: Tightened the plugin security while importing.

v2.1.4 - 02-January-2024
- Fix: Suggested items were not showing on the empty search results screen.

v2.1.3 - 02-January-2024
- Fix: Showing invalid message on the toaster while generating content.

v2.1.2 - 02-January-2024
- Improvement: Enhanced user experience and streamlined workflow.

v2.1.1 - 30-December-2023
- Fix: Resolved conflict with Gravity Forms plugin by transitioning from localization to using API for patterns and pages data.

v2.1.0 - 27-December-2023
- New: Added site templates kits.
- Fix: Customizer color palette was getting applied in non-adaptive mode.
- Fix: Templates looks broken if Spectra activated while importing template.  

v2.0.19 - 22-December-2023
- New: Added "Revoke Access" button for seamless ZipAI authentication revocation.
- Fix: Resolved issue of patterns/pages importing at last index instead of selected insertion point.
- Fix: Resolved the need for two refreshes to reflect changes in Manage AI feature options.

v2.0.18 - 20-December-2023
- Fix: ZipAI authentication screen is visible even ZipAI Copilot module is disabled. 

v2.0.17 - 19-December-2023
- Improvement: Downloading the selected images in onboarding to media.
- Improvement: Added compatibility for the ZipAI Manage AI feature option.
- Improvement: User Interface Enhancements & tweaks.
- Improvement: Updating Disable AI option value based on Non-Adaptive mode option.
- Fix: Updating Non-Adaptive mode option was not getting enabled after reloading the page. 

v2.0.16 - 15-December-2023
- Improvement: Added RTL compatibility to the new Template Kits library.
- Fix: Generate Content with AI button was not showing if already authorised.

v2.0.15 - 13-December-2023
- Improvement: Added conditional logo for onboarding screen.

v2.0.14 - 13-December-2023
- New: Introduced Non-Adaptive mode option.
- Improvement: Improved pattern and page preview UI.

v2.0.13 - 07-December-2023
- Improvement: Showing Server Traffic Surge toaster.
- Improvement: Updated the flat rates for Pages and Patterns library from 3000 to 5000.

v2.0.12 - 05-December-2023
- Improvement: Added no credit notice in AI onoarding.
- Improvement: Removed Generate Content button if showing welcome scrren.
- Fix: Removed unwanted parameters from URL while passing the success_url for checkout process fir credits purchase.

v2.0.11 - 04-December-2023
- New: Introduced 'ast_block_templates_authorization_url_param' filter for authorization url parameters.

v2.0.10 - 04-December-2023
- Fix: Removed URL parameter after redirection.

v2.0.9 - 04-December-2023
- Synchronised the pattern/page library.

v2.0.8 - 04-December-2023
Improvement: Compatibility with ZipAI authorization.
- Fix: Removed Header and Footer from the preview.
- Fix: Redirction URL not working after authorization.

v2.0.4 - 27-November-2023
- Fix: Success url parameter was missing for some credit purchase url.

v2.0.3 - 27-November-2023
- Fix: Fixed conditional logo for the library.
- Fix: Displaying the default content and toaster error after updating content.

v2.0.2 - 24-November-2023
- Fix: Fixed an issue where the library won't load when integrated with Premium Starter Templates.

v2.0.0 - 24-November-2023
- New: AI based templates

v1.3.3 - 07-Sept-2023
- Fix: Temporary remove Template Kit support to Full Site Editor.

v1.3.2 - 11-July-2023
- Improvement: Added Template Kit support to Full Site Editor.

v1.3.1 - 14-June-2023
- Fix: WP Forms won't get imported due to regression in v1.3.0

v1.3.0 - 13-June-2023
- Improvement: Now we refresh the page and save the content if the required plugins for the template kit are missing.
- Improvement: Tightened the security of the plugin.

v1.2.1 - 19-May-2023
- Fix: Discarded the incorrect null.js generated for the library, instead added main.js.

v1.2.0 - 18-May-2023
- Improvement: Added Premium Block Editor Templates.

v1.1.11 - 20-February-2023
- Improvement: Sync library.

v1.1.10 - 30-January-2023
- Improvement: Capability updated for active plugin.

v1.1.9 - 25-January-2023
- Improvement: Hardened the security.

v1.1.8 - 19-January-2023
- Improvement: Added extra checks while block templates import.

v1.1.7 - 01-September-2022
- Fix: Install and Activate Spectra for light category patterns only.

v1.1.6 - 22-August-2022
- Improvement: Install Spectra while importing Block Patterns and Wireframe Pattern.

v1.1.3 - 19-May-2022
- Improvement: Renamed button text and logo to template kits and spectra logo.

v1.1.2 - 08-March-2022
- Improvement: CSS tweaks for spectra button.

v1.1.1 - 14-February-2022
- Fix: Undefined error for WP_CLI

v1.1.0 - 4-October-2021
- New: Wireframe blocks for Gutenberg - [Doc](https://wpastra.com/docs/starter-templates-wireframe-blocks/)

v1.0.11 - 17-September-2021
- Improvement: Added site URL while importing the demo for analytics.

v1.0.10 - 12-August-2021
- Improvement: Rectified the condition to load the scripts in other screens.
- Fix: Starter template button not visible when gutenberg plugin is activated.

v1.0.9 - 2-August-2021
- Improvement: Rectified the condition to load the scripts in customizer screen.

v1.0.8 - 22-June-2021
- Improvement: Avoided to load the scripts in customizer screen.

v1.0.7 - 13-June-2021
- Improvement: Compatibility to WordPress 5.8.
- Improvement: Added support for dark and light support for block patterns with improved sidebar UI.
- Improvement: Added a filter `ast_block_templates_disable_auto_sync` to disable auto sync feature.
- Fix: Handle the white label support.

v1.0.6 - 24-May-2021
- Improvement: Added auto sync feature.
- Fix: Starter Templates popup opens by default on every page load on Gutenberg pages.

v1.0.5 - 21-May-2021
- Improvement: Added the dark and light filter support for blocks.

v1.0.4 - 14-May-2021
- Fix: Added the dynamic category support for multisites.

v1.0.3 - 10-May-2021
- Improvement: Added the dynamic category support.

v1.0.2 - 09-March-2021
- Improvement: Added a helper function to set the default assets

v1.0.1 - 09-March-2021
- Improvement: Used `version.json` instead of `package.json` to manage the dependency.
- Improvement: Added the suggestion link.
- Improvement: Added filter to disable the Gutenberg Templates.
- Fix: Block pattern category filter keep showing all category.
- Fix: Avoided dynamic json file names for importing.

v1.0.0 - 17-February-2021
- Initial Commit
